[ARVADOS-DEV] updated: f61bd0a7682a941de1ba7f37c9267cb205ef1dc2
Git user
git at public.curoverse.com
Fri Apr 7 09:52:24 EDT 2017
Summary of changes:
jenkins/run-cwl-test.sh | 21 ++++++++++++++++++---
1 file changed, 18 insertions(+), 3 deletions(-)
via f61bd0a7682a941de1ba7f37c9267cb205ef1dc2 (commit)
via 40d2a07f3a1e6d50f667657bbfc2fdd876e37798 (commit)
via e19e26739b3acfad22fc4278a5617cb04576cbe8 (commit)
from 2b9ef5ac8ac2aa45607858bae1396eb8d60c0c10 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit f61bd0a7682a941de1ba7f37c9267cb205ef1dc2
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date: Fri Apr 7 09:52:21 2017 -0400
11332: Check exit code after running CWL conformance tests
diff --git a/jenkins/run-cwl-test.sh b/jenkins/run-cwl-test.sh
index d43a550..940d6c7 100755
--- a/jenkins/run-cwl-test.sh
+++ b/jenkins/run-cwl-test.sh
@@ -185,6 +185,11 @@ fi
run_command shell.$IDENTIFIER ECODE "cd common-workflow-language; git pull; ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN ./run_test.sh RUNNER=/home/$ACCT/arvados-cwl-runner-with-checksum.sh "
+if [[ "$ECODE" != "0" ]]; then
+ echo "Failed ./run_test.sh RUNNER=/home/$ACCT/arvados-cwl-runner-with-checksum.sh"
+ exit $ECODE
+fi
+
run_command shell.$IDENTIFIER ECODE "if [[ ! -e arvados ]]; then ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN git clone --depth 1 https://git.$IDENTIFIER.arvadosapi.com/arvados.git; fi"
if [[ "$ECODE" != "0" ]]; then
@@ -192,6 +197,6 @@ if [[ "$ECODE" != "0" ]]; then
exit $ECODE
fi
-run_command shell.$IDENTIFIER ECODE "cd arvados/sdk/cwl/tests; git pull; ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN ./arvados-tests.sh"
+run_command shell.$IDENTIFIER ECODE "cd arvados/sdk/cwl/tests; export ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN && git pull && ./arvados-tests.sh"
exit $ECODE
commit 40d2a07f3a1e6d50f667657bbfc2fdd876e37798
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date: Fri Apr 7 09:42:22 2017 -0400
11332: Add /arvados/v1/repositories to token scope documentation of
run-cwl-test.sh. Refactor into --scopes option.
diff --git a/jenkins/run-cwl-test.sh b/jenkins/run-cwl-test.sh
index 085dbf0..d43a550 100755
--- a/jenkins/run-cwl-test.sh
+++ b/jenkins/run-cwl-test.sh
@@ -21,7 +21,11 @@ function usage {
echo >&2 " --acct <username> Account to log in with"
echo >&2 " -d, --debug Enable debug output"
echo >&2 " -h, --help Display this help and exit"
+ echo >&2 " -s, --scopes Print required scopes to run tests"
echo >&2
+}
+
+function print_scopes {
echo >&2 " Required scope for the token used to run the tests:"
echo >&2
echo >&2 " arv api_client_authorization create_system_auth --scopes "
@@ -49,13 +53,15 @@ function usage {
echo >&2 "\"POST /arvados/v1/container_requests/\","
echo >&2 "\"GET /arvados/v1/containers\","
echo >&2 "\"GET /arvados/v1/containers/\","
+ echo >&2 "\"GET /arvados/v1/repositories\","
+ echo >&2 "\"GET /arvados/v1/repositories/\","
echo >&2 "\"GET /arvados/v1/logs\" ]"
echo >&2
}
# NOTE: This requires GNU getopt (part of the util-linux package on Debian-based distros).
-TEMP=`getopt -o hdp: \
- --long help,debug,port:,acct: \
+TEMP=`getopt -o hdp:s \
+ --long help,scopes,debug,port:,acct: \
-n "$0" -- "$@"`
if [ $? != 0 ] ; then echo "Use -h for help"; exit 1 ; fi
@@ -75,6 +81,10 @@ do
DEBUG=1
shift
;;
+ -s | --scopes)
+ print_scopes
+ exit 0
+ ;;
--)
shift
break
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list